var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import formatGemStats from './format/gemStats';
import formatStats from './format/stats';
export var Fallback;
(function (Fallback) {
    Fallback[Fallback["throw"] = 0] = "throw";
    Fallback[Fallback["id"] = 1] = "id";
    Fallback[Fallback["skip"] = 2] = "skip";
})(Fallback || (Fallback = {}));
var Format = /** @class */ (function () {
    function Format() {
        this.options = {
            datas: {},
            fallback: Fallback.throw,
            start_file: 'stat_descriptions'
        };
    }
    Format.prototype.configure = function (options) {
        this.options = __assign({}, this.options, options);
    };
    Format.prototype.stats = function (stats) {
        return formatStats(stats, this.options);
    };
    Format.prototype.gemStats = function (gem_id, stats) {
        return formatGemStats(gem_id, stats, this.options);
    };
    return Format;
}());
export { Format };
export default new Format();
