var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import baseRequiredLocaleDatas from '../requiredLocaleDatas';
import meta from '../translate/skill_meta';
import formatStats, { Fallback } from './stats';
export default function formatGemStats(gem_id, stats, options) {
    if (options === void 0) { options = {}; }
    var filter = findSkill(gem_id);
    return formatStats(stats, __assign({}, options, { fallback: Fallback.skip, start_file: filter.start_file }));
}
export function requiredLocaleDatas(gem_id) {
    var filter = findSkill(gem_id);
    return baseRequiredLocaleDatas([filter.start_file]);
}
function findSkill(id) {
    var skill = meta.skills[id];
    if (skill === undefined) {
        // Fallback to gem_stat
        // most likely for supports
        return {
            filter: [],
            start_file: 'gem_stat_descriptions'
        };
    }
    else if (typeof skill === 'string') {
        return findSkill(skill);
    }
    else {
        return skill;
    }
}
