import formatStats, { Fallback } from './formatStats';
import loadLocaleDatas from './loadLocaleDatas';
import meta from './translate/skill_meta';
export default function formatGemStats(gem_id, stats, options = {}) {
    const filter = findSkill(gem_id);
    const { code } = Object.assign({ code: 'en', options });
    return formatStats(stats, {
        datas: loadLocaleDatas(code, [filter.start_file]),
        fallback: Fallback.skip,
        start_file: filter.start_file
    });
}
function findSkill(id) {
    const skill = meta.skills[id];
    if (skill === undefined) {
        // Fallback to gem_stat
        // most likely for supports
        return {
            filter: [],
            start_file: 'gem_stat_descriptions'
        };
    }
    else if (typeof skill === 'string') {
        return findSkill(skill);
    }
    else {
        return skill;
    }
}
