import { StatLocaleDatas } from './types/StatDescription';
export declare type Stat = {
    id: string;
    value: number | [number, number];
    alias?: string;
};
export declare type OptionalOptions = {
    datas?: StatLocaleDatas;
    fallback?: Fallback | FallbackCallback;
    start_file?: string;
};
export declare type TranslatedStats = string[];
export declare type FallbackCallback = (id: string, stat: Stat) => string | null;
export declare enum Fallback {
    throw = 0,
    id = 1,
    skip = 2,
}
export declare type Options = {
    datas?: StatLocaleDatas;
    fallback: Fallback | FallbackCallback;
    start_file: string;
};
export interface FormatStats {
    (stats: Stat[], options?: OptionalOptions): TranslatedStats;
    options: Options;
    configure(options: OptionalOptions): void;
}
declare const formatStats: FormatStats;
export default formatStats;
