"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var gemStats_1 = require("./format/gemStats");
var stats_1 = require("./format/stats");
var Fallback;
(function (Fallback) {
    Fallback[Fallback["throw"] = 0] = "throw";
    Fallback[Fallback["id"] = 1] = "id";
    Fallback[Fallback["skip"] = 2] = "skip";
})(Fallback = exports.Fallback || (exports.Fallback = {}));
var Format = /** @class */ (function () {
    function Format() {
        this.options = {
            datas: {},
            fallback: Fallback.throw,
            start_file: 'stat_descriptions'
        };
    }
    Format.prototype.configure = function (options) {
        this.options = __assign({}, this.options, options);
    };
    Format.prototype.stats = function (stats) {
        return stats_1.default(stats, this.options);
    };
    Format.prototype.gemStats = function (gem_id, stats) {
        return gemStats_1.default(gem_id, stats, this.options);
    };
    return Format;
}());
exports.Format = Format;
exports.default = new Format();
