"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var requiredLocaleDatas_1 = require("../requiredLocaleDatas");
var skill_meta_1 = require("../translate/skill_meta");
var stats_1 = require("./stats");
function formatGemStats(gem_id, stats, options) {
    if (options === void 0) { options = {}; }
    var filter = findSkill(gem_id);
    return stats_1.default(stats, __assign({}, options, { fallback: stats_1.Fallback.skip, start_file: filter.start_file }));
}
exports.default = formatGemStats;
function requiredLocaleDatas(gem_id) {
    var filter = findSkill(gem_id);
    return requiredLocaleDatas_1.default([filter.start_file]);
}
exports.requiredLocaleDatas = requiredLocaleDatas;
function findSkill(id) {
    var skill = skill_meta_1.default.skills[id];
    if (skill === undefined) {
        // Fallback to gem_stat
        // most likely for supports
        return {
            filter: [],
            start_file: 'gem_stat_descriptions'
        };
    }
    else if (typeof skill === 'string') {
        return findSkill(skill);
    }
    else {
        return skill;
    }
}
