"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const formatStats_1 = require("./formatStats");
const loadLocaleDatas_1 = require("./loadLocaleDatas");
const skill_meta_1 = require("./translate/skill_meta");
function formatGemStats(gem_id, stats, options = {}) {
    const filter = findSkill(gem_id);
    const { code } = Object.assign({ code: 'en', options });
    return formatStats_1.default(stats, {
        datas: loadLocaleDatas_1.default(code, [filter.start_file]),
        fallback: formatStats_1.Fallback.skip,
        start_file: filter.start_file
    });
}
exports.default = formatGemStats;
function findSkill(id) {
    const skill = skill_meta_1.default.skills[id];
    if (skill === undefined) {
        // Fallback to gem_stat
        // most likely for supports
        return {
            filter: [],
            start_file: 'gem_stat_descriptions'
        };
    }
    else if (typeof skill === 'string') {
        return findSkill(skill);
    }
    else {
        return skill;
    }
}
