"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function loadLocaleDatas(code, files) {
    const datas = {};
    const queued = [...files]; // clone
    while (queued.length > 0) {
        const file = queued.shift();
        if (datas[file] === undefined) {
            const data = require(`../locale-data/${code}/${file}.json`);
            datas[file] = data;
            if (data.meta.include !== undefined) {
                queued.push(data.meta.include);
            }
        }
    }
    return datas;
}
exports.default = loadLocaleDatas;
function loadLocaleDatasFor(code, formatStats) {
    return loadLocaleDatas(code, [formatStats.options.start_file]);
}
exports.loadLocaleDatasFor = loadLocaleDatasFor;
