"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var formatters_1 = require("./formatters");
function formatValues(values, options) {
    var formatters = options.formatters;
    if (formatters === undefined) {
        throw new Error('formatters not set');
    }
    var formatted = values.slice();
    formatters.forEach(function (formatter, i) {
        if (typeof formatter.arg === 'number') {
            var target_param = values[+formatter.arg - 1];
            if (target_param !== undefined) {
                formatted[+formatter.arg - 1] = formatValue(target_param, {
                    formatter: formatter
                });
            }
            else {
                throw new Error("no param given for formatter '" + formatter.id + "'");
            }
        }
    });
    return formatted.map(function (value) {
        return typeof value === 'string'
            ? value
            : formatValue(value, { formatter: { id: 'id', arg: 1 } });
    });
}
exports.formatValues = formatValues;
function formatValue(value, options) {
    var formatter = options.formatter;
    if (formatter === undefined) {
        throw new Error('no formatter given');
    }
    return String(formatters_1.default(formatter.id)(value));
}
exports.formatValue = formatValue;
