"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StatValue_1 = require("../types/StatValue");
// usually everything in poe is rounded down but in this case
// it's done properly
// evidence: life regen rolls 60 - 120 which would result in (1-2)
// Alyways rounding down would result in virtually no 2 rolls.
// but there are currenty ~300 amulets with 2 and ~160 with 1 listed on poe.trade
// reason beeing that the next tier rolls 121-180.
var formatters = {
    deciseconds_to_seconds: function (n) { return n * 10; },
    divide_by_one_hundred: function (n) { return n / 100; },
    per_minute_to_per_second: function (n) { return Math.round(n / 60); },
    milliseconds_to_seconds: function (n) { return n / 1000; },
    negate: function (n) { return -n; },
    divide_by_one_hundred_and_negate: function (n) { return -n / 100; },
    old_leech_percent: function (n) { return n / 5; },
    old_leech_permyriad: function (n) { return n / 50; },
    per_minute_to_per_second_0dp: function (n) { return (n / 60).toFixed(0); },
    per_minute_to_per_second_2dp: function (n) { return (n / 60).toFixed(2); },
    per_minute_to_per_second_2dp_if_required: function (n) { return (n / 60).toPrecision(2); },
    milliseconds_to_seconds_0dp: function (n) { return (n / 1000).toFixed(0); },
    milliseconds_to_seconds_2dp: function (n) { return (n / 1000).toFixed(2); },
    multiplicative_damage_modifier: function (n) { return n; },
    '60%_of_value': function (n) { return n * 0.6; },
    id: function (n) { return n; }
};
function factory(formatter_id) {
    if (!formatters.hasOwnProperty(formatter_id)) {
        throw new Error("'" + formatter_id + "' not found");
    }
    var formatter = formatters[formatter_id];
    return function (value) {
        if (StatValue_1.isRange(value)) {
            if (value[0] === value[1]) {
                return String(formatter(value[0]));
            }
            else {
                return "(" + formatter(value[0]) + " - " + formatter(value[1]) + ")";
            }
        }
        else {
            return String(formatter(value));
        }
    };
}
exports.default = factory;
