export interface Descriptions {
    [key: string]: Description;
}
export interface StatLocaleData {
    meta: {
        include?: string;
    };
    data: Descriptions;
}
export interface StatLocaleDatas {
    [key: string]: StatLocaleData;
}
export interface Description {
    stats: string[];
    translations: Translation[];
    no_description?: boolean;
}
export interface ParsedDescriptions {
    [key: string]: LanguageDescription;
}
export interface LanguageDescription {
    stats: StatIdentifier[];
    languages: Languages;
}
export declare type StatIdentifier = string;
export interface Languages {
    [key: string]: Translation[];
}
export interface Translation {
    matchers: Matcher[];
    text: string;
    formatters: Formatter[];
}
export interface Formatter {
    id: string;
    arg: ArrayIndex | ReminderIdentifier;
}
export declare type ArrayIndex = number;
export declare type ReminderIdentifier = string;
export declare type Matcher = Range | Value;
export declare type Range = [Value, Value];
export declare type Value = AnyValue | number;
export declare type AnyValue = '#';
